Yup, I am fully aware of that, and I have the Qt 5.5.1 version of msvc2012 in my machine. Downgrading the VS version together with downgrading the Qt version as well. The reason I am trying to use an older version of VS to compile is to allow my client to easily activate and install my application instead of going through the hassles installing the VS 2015 redistributable packages (which requires windows update on Win7 machine, else it will stuck on the Windows7_MSU_x64 installation part), and with VS2012 redistributable packages, installation will not be a problem (recent installed win 7 machine should 100% compatible with the package). But it works now for me, there are just some problems with the redistributable packages installed in my pc (2012 version) and uninstalling and reinstalled works just perfect now. Thanks!